Bug 238991 - [exp-run] security/nettle: Update to 3.5.1
Summary: [exp-run] security/nettle: Update to 3.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-04 18:11 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2019-07-09 17:14 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments
pijul.diff (2.43 KB, patch)
2019-07-08 13:52 UTC, Tobias Kortkamp
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2019-07-04 18:11:58 UTC
Update to 3.5.1

Changes:        https://git.lysator.liu.se/nettle/nettle/blob/master/NEWS
Comment 2 Tobias Kortkamp freebsd_committer 2019-07-08 13:52:25 UTC
Created attachment 205584 [details]
pijul.diff

Here's a patch to fix the build of Pijul with Nettle 3.5.
Comment 3 Antoine Brodin freebsd_committer 2019-07-08 13:58:23 UTC
Please test the provided patch.
Comment 4 commit-hook freebsd_committer 2019-07-09 17:13:37 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Jul  9 17:13:16 UTC 2019
New revision: 506289
URL: https://svnweb.freebsd.org/changeset/ports/506289

Log:
  Update security/nettle to 3.5.1

  - Bump PORTREVISION of dependent ports for shlib change
  - Fix build of devel/pijul [1]

  Changes:	https://git.lysator.liu.se/nettle/nettle/blob/master/NEWS
  PR:		238991
  Exp-run by:	antoine
  Thanks to:	tobik [1]

Changes:
  head/archivers/libarchive/Makefile
  head/biology/ncbi-blast+/Makefile
  head/biology/ncbi-toolkit/Makefile
  head/devel/opendht/Makefile
  head/devel/pijul/Makefile
  head/devel/pijul/files/
  head/devel/pijul/files/patch-cargo-crates_nettle-sys-1.0.1_bindgen-wrapper.h
  head/dns/dnsmasq/Makefile
  head/dns/dnsmasq-devel/Makefile
  head/dns/knot-resolver/Makefile
  head/dns/knot2/Makefile
  head/emulators/qemu/Makefile
  head/emulators/qemu-cheri/Makefile
  head/emulators/qemu-devel/Makefile
  head/emulators/qemu2/Makefile
  head/ftp/curl/Makefile
  head/ftp/filezilla/Makefile
  head/ftp/libfilezilla/Makefile
  head/games/supertuxkart/Makefile
  head/graphics/aseprite/Makefile
  head/mail/claws-mail/Makefile
  head/multimedia/gstreamer1-plugins-hls/Makefile
  head/multimedia/kodi/Makefile
  head/multimedia/libav/Makefile
  head/net/chrony/Makefile
  head/net/libstorj/Makefile
  head/net/ocserv/Makefile
  head/net/radcli/Makefile
  head/net-p2p/ncdc/Makefile
  head/security/gnutls/Makefile
  head/security/libkpass/Makefile
  head/security/nettle/Makefile
  head/security/nettle/distinfo
  head/security/nettle/pkg-plist
  head/sysutils/rdup/Makefile
  head/www/epiphany/Makefile
  head/www/squid/Makefile
  head/www/squid3/Makefile
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-07-09 17:14:22 UTC
Committed. Thanks!